Summary: The most widely used Web server on the Internet.
Summary(fr): Le serveur web le plus utilise sur Internet.
Summary(ru):   -  .

Name: apache
%define mm_major 1
%define mm_minor 0.12
%define mm_version %{mm_major}.%{mm_minor}
%define EAPI_version 2.6.4
%define apache_version 1.3.12
%define apache_release 12mdk
Version: %{apache_version}
Release: %{apache_release}
Group: System/Servers
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Vendor: MandrakeSoft
Distribution: Linux-Mandrake
BuildRequires: mm >= %{mm_major}.%{mm_minor}
Requires: mm >= %{mm_major}.%{mm_minor}

Source: apache_%{version}.tar.bz2
Source1: index.shtml
Source4: apache.logrotate
Source5: httpd.conf
Source6: mod_include_xssi.c
Source9: EAPI-%{EAPI_version}.tar.bz2
Source12: mod_frontpage.c
Source22: mod_include.html
Source23: mime.types
Source24: logo.gif
Source25: apache_pb.gif
Source26: netmin.gif
Source27: Vhosts.conf
Source28: sgi_performance.gif

Source30: mandrake.html
Source31: LMDK200Rw.gif
Source33: httpd.init.mandrake

Source40: solaris.html
Source41: usparc2.gif
Source42: solaris.gif
Source43: httpd.init.solaris

Source50: DynamicVhosts.conf
Source51: VirtualHomePages.conf

Patch1: apache_1.3.11-apxs.patch.bz2
Patch2: apache_1.3.11-srvroot.patch.bz2
Patch3: apache_1.3.3-nondbm.patch.bz2
Patch4: Configuration.diff.bz2
# Patch6 is obsolete with the sgi patch, but I keep it in source
# package just in case. 
Patch6: netrevolution.patch.bz2
Patch8: fp-patch-apache_1.3.6.bz2
Patch9: fp-fpexe-patch.bz2
Patch10: fp-fpexe-patch2

Patch11: BASEVERSION.patch.bz2

Patch15: 10xpatch-1.3.12-EAPI
Patch16: 10xpatch-1.3.12-XSSI
Patch17: 10xpatch-1.3.12-SSI
Patch18: 10xpatch-1.3.12-1
Patch19: 10xpatch-1.3.12-2

Patch30: buff.patch.bz2
Patch31: mod_log_config.patch.bz2

Patch50: mandrake.patch.bz2
Patch51: solaris.patch.bz2

Copyright: Freely distributable and usable
BuildRoot: /var/tmp/apache-root
Provides: webserver

%description
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

This special version also includes many optimizations, Extended Application 
Programming Interface (EAPI), Shared memory module, Hotwired XSSI module, 
hooks for SSL module and several cosmetic improvements. Also
included is the FrontPage 2000 patch, however you need to install the
frontpage package to enable it.

%description -l fr
Apache est un serveur Web puissant, efficace, gratuit et complet. Apache est
aussi le serveur Web le plus populaire sur Internet.

Cette version speciale inclut egalement plusieurs optimisations, l'Interface
de Programmation d'Applications Etendu (EAPI), le module de memoire
partagee, un module XSSI de Hotwired , des attaches pour le
module SSL ainsi que plusieurs ameliorations cosmetiques. La patch FrontPage
2000 est egalement incluse, toutefois vous devrez installer le package
additionnel frontpage pour utiliser ces fonctions.

%description -l ru
Apache - , ,  
  -.  , Apache -  
-  .

     ,
Extended Application Programming Interface (EAPI)   
,  XSSI  Hotwired,   SSL   
.     FrontPage 2000,   
 frontpage,   .


%package devel
Group: Development/C
Summary: Module development tools for the Apache web server.
Summary(fr): Les outils de developpement de modules pour le serveur web Apache
Obsoletes: secureweb-devel
Requires: apache >= %{apache_version}-%{apache_release}


%description devel
The apache-devel package contains the source code for the Apache
Web server and the APXS binary you'll need to build Dynamic
Shared Objects (DSOs) for Apache.

If you are installing the Apache Web server and
you want to be able to compile or develop additional modules
for Apache, you'll need to install this package.

%description -l fr devel
Le package apache-devel contient le code source pour le serveur Web Apache
et le binaire APXS dont vous aurez besoin pour construire des Objets
Dynamiques Partages (DSOs) pour Apache.

Si vous installez le serveur Web Apache et voulez etre en mesure de compiler
ou de developper des modules additionnels pour Apache, vous devrez installer
ce package.

%description -l ru devel
       - Apache
  APXS,       (DSO).

   - Apache    
    ,     .

%package suexec
Group: System/Servers
Summary: Suexec binary for apache
Summary(fr): Executable suexec pour apache
Summary(ru):  suexec  Apache
Requires: apache >= %{apache_version}-%{apache_release}

%description suexec
This package adds suexec to Apache. Suexec provides Apache users the ability
to run CGI and SSI programs under user IDs different from the user ID of the
calling web-server. Normally, when a CGI or SSI program executes, it runs as
the same user who is running the web server. 

%description -l fr suexec
Ce package ajoute les fonctions suexec a Apache. Ceci permet aux usagers
d'Apache la possibilite d'executer des programmes CGI et SSI sous des ID
differents du ID du serveur web appelant. Normalement, quand un programe CGI
ou SSI execute, il roule en tant que l'usager qui roule le serveur web.

%description -l ru suexec
    Apache suexec.     CGI-
 SSI-   ,   
 -.

%prep
# first, unpack apache.
%setup -q -n apache_%{apache_version}
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1
#%patch6 -p1 (not required anymore)
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

#### Platform patches
if [ `uname` = "Linux" ]; then bzip2 -dc $RPM_SOURCE_DIR/mandrake.patch.bz2|patch -p1 ;fi
if [ `uname` = "SunOS" ]; then bzip2 -dc $RPM_SOURCE_DIR/solaris.patch.bz2|patch -p1 ;fi
####

cp %{SOURCE6} $RPM_BUILD_DIR/apache_%{apache_version}/src/modules/standard 

cd ..

bzip2 -dc %{SOURCE9} | tar xvf - 
mv pkg.eapi/*.c apache_%{version}/src/ap/
mv pkg.eapi/*.h apache_%{version}/src/include/ 
mv pkg.addon/*.c apache_%{version}/src/modules/extra
cp apache_%{version}/src/modules/extra/mod_define.c apache_%{version}/src/modules/standard
cd apache_%{version}
perl -p -i -e "s/^--- /--- .\//g" ../pkg.addon/addon.patch
perl -p -i -e "s/^\+\+\+ /\+\+\+ .\//g" ../pkg.addon/addon.patch
patch -p1 < ../pkg.addon/addon.patch
perl -p -i -e "s/^--- /--- .\//g" ../pkg.eapi/eapi.patch
perl -p -i -e "s/^\+\+\+ /\+\+\+ .\//g" ../pkg.eapi/eapi.patch
patch -p1 < ../pkg.eapi/eapi.patch

#chown -R root.root .


######## SGI Patches ##########
%patch15 -p1 
%patch16 -p1 
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch30 -p1
##############################

%build
# qsc use intel asm statements.
%ifarch i386 i486 i586 i686 k6 k7
OPTIM="$RPM_OPT_FLAGS -DFAST_TIME -DBUFFERED_LOGS -DNO_GRACEFUL -DUSE_QUICK_LOG -DUSE_STAT_CACHE -DUSE_QSC" \
%else
OPTIM="$RPM_OPT_FLAGS -DFAST_TIME -DBUFFERED_LOGS -DNO_GRACEFUL -DUSE_QUICK_LOG -DUSE_STAT_CACHE" \
%endif
EAPI_MM=SYSTEM \
LIBS=-lgdbm \
	./configure --prefix=/usr \
	--with-layout=NetRevolution \
	--disable-rule=WANTHSREGEX \
	--add-module=%{SOURCE6} \
	--add-module=%{SOURCE12} \
	--enable-module=all \
	--enable-shared=max \
	--disable-module=auth_dbm \
	--disable-module=auth_digest \
	--with-perl=/usr/bin/perl \
	--enable-suexec \
	--suexec-caller=nobody \
	--suexec-docroot=/home \
	--suexec-userdir=/home \
	--enable-rule=EAPI \
#	--enable-module=mmap_static \

make

if [ x"$SMP" != x"" ]; then
	make MAKE="make -j $SMP -k"
else make
fi


%install
rm -rf $RPM_BUILD_ROOT
make install root=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/httpd

# rename the html directory
#mv $RPM_BUILD_ROOT/home/httpd/htdocs $RPM_BUILD_ROOT/home/httpd/html

mkdir -p $RPM_BUILD_ROOT/lib

# install log rotation stuff
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/apache.logrotate \
	$RPM_BUILD_ROOT/etc/logrotate.d/apache

ln -s ../../var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs
ln -s ../../usr/lib/apache $RPM_BUILD_ROOT/etc/httpd/modules

install -m644 $RPM_SOURCE_DIR/index.shtml \
        $RPM_BUILD_ROOT/home/httpd/html/index.shtml

#install misc documentation and logos
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod/other
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/images
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/addon-modules
install -m644 $RPM_SOURCE_DIR/mod_include.html \
        $RPM_BUILD_ROOT/home/httpd/html/addon-modules

install -m 644 $RPM_SOURCE_DIR/logo.gif \
	$RPM_BUILD_ROOT/home/httpd/html/manual/images/
install -m 644 $RPM_SOURCE_DIR/sgi_performance.gif \
	$RPM_BUILD_ROOT/home/httpd/html/manual/images/
install -m 644 $RPM_SOURCE_DIR/apache_pb.gif \
	$RPM_BUILD_ROOT/home/httpd/html/manual/images/
install -m 644 $RPM_SOURCE_DIR/netmin.gif \
	$RPM_BUILD_ROOT/home/httpd/html/manual/images/
install -m 644 $RPM_SOURCE_DIR/LMDK200Rw.gif \
	$RPM_BUILD_ROOT/home/httpd/html/manual/images/
install -m 644 $RPM_SOURCE_DIR/usparc2.gif \
	$RPM_BUILD_ROOT/home/httpd/html/manual/images/
install -m 644 $RPM_SOURCE_DIR/solaris.gif \
	$RPM_BUILD_ROOT/home/httpd/html/manual/images/


# replace Apache's default config files with our own versions
install -m644 $RPM_SOURCE_DIR/httpd.conf \
	$RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf
install -m644 $RPM_SOURCE_DIR/mime.types \
	$RPM_BUILD_ROOT/etc/httpd/conf/apache-mime.types

mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/vhosts
install -m644 $RPM_SOURCE_DIR/Vhosts.conf \
	$RPM_BUILD_ROOT/etc/httpd/conf/vhosts
install -m644 $RPM_SOURCE_DIR/DynamicVhosts.conf \
	$RPM_BUILD_ROOT/etc/httpd/conf/vhosts
install -m644 $RPM_SOURCE_DIR/VirtualHomePages.conf \
	$RPM_BUILD_ROOT/etc/httpd/conf/vhosts

# install mod_define html documentation
install -m644 $RPM_BUILD_DIR/pkg.addon/mod_define.html \
	$RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_define.html



####### For Solaris
if [ `uname` = "SunOS" ]; then
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init.solaris \
	$RPM_BUILD_ROOT/etc/init.d/httpd
for I in 0 1 2 5 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc$I.d/K15httpd
done
for I in 3; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc$I.d/S85httpd
done
install -m 644 $RPM_SOURCE_DIR/solaris.html \
	$RPM_BUILD_ROOT/home/httpd/html/platform.html
perl -pi -e "s|/usr/local/bin/perl5|/usr/local/bin/perl|g;" \
	$RPM_BUILD_ROOT/home/httpd/html/manual/search/manual-index.cgi
perl -pi -e "s|/path/to/bin/perl|/usr/local/bin/perl|g;" \
	$RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_rewrite.html
perl -pi -e "s|/usr/bin/perl|/usr/local/bin/perl|g;" \
	$RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_rewrite.html
perl -pi -e "s|/usr/bin/perl|/usr/local/bin/perl|g;" \
	$RPM_BUILD_ROOT/usr/sbin/apxs
fi
#######

####### For Linux
if [ `uname` = "Linux" ]; then
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init.mandrake \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
for I in 0 1 2 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K15httpd
done
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpd
done
install -m 644 $RPM_SOURCE_DIR/mandrake.html \
	$RPM_BUILD_ROOT/home/httpd/html/platform.html
perl -pi -e "s|/usr/local/bin/perl5|/usr/bin/perl|g;" \
	$RPM_BUILD_ROOT/home/httpd/html/manual/search/manual-index.cgi
perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|g;" \
	$RPM_BUILD_ROOT/home/httpd/html/manual/misc/howto.html
perl -pi -e "s|/path/to/bin/perl|/usr/bin/perl|g;" \
	$RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_rewrite.html
fi
#######

mv $RPM_BUILD_ROOT/home/httpd/html/manual/ \
	$RPM_BUILD_DIR/apache_%{apache_version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ -f /var/run/httpd.pid ]; then 
   /usr/sbin/apachectl restart
fi
ln -s /usr/doc/apache-%{apache_version} /home/httpd/html/manual

%preun
if [ $1 = 0 ]; then
   /bin/rm -fr /var/log/httpd/*
   /usr/sbin/apachectl stop
fi
rm /home/httpd/html/manual

%files
%defattr(-,root,root)
%dir /etc/httpd
%dir /etc/httpd/conf
%config /etc/httpd/conf/httpd.conf
%config /etc/httpd/conf/magic
%config /etc/httpd/conf/apache-mime.types
%dir /home/httpd
%dir /home/httpd/cgi-bin
%dir /home/httpd/html
%config(noreplace) /home/httpd/html/index.shtml
/home/httpd/html/platform.html
%doc manual/*
/home/httpd/html/addon-modules
/home/httpd/icons
%config /etc/httpd/conf/vhosts
%config /etc/httpd/conf/addon-modules
/etc/httpd/logs
/etc/httpd/modules
/usr/lib/apache
/usr/man/*/*
/usr/sbin/ab
/usr/sbin/httpd
/usr/sbin/apachectl
/usr/sbin/logresolve
/usr/sbin/rotatelogs
/usr/bin/*

%attr(-,nobody,nobody) %dir /var/cache/httpd
%dir /var/log/httpd

%config /etc/*.d/*


%files devel
%defattr(-,root,root)
/usr/include/apache
/usr/sbin/apxs

%files suexec
%defattr(-,root,root)
%attr(01711,root,root) /usr/sbin/suexec

%changelog
* Mon May 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-11mdk
- EAPI 2.6.4 (bugfixes again!)
- Workaround for big bug in msec. Now apache chmods 0755 /home/httpd
- More russian descriptions from from Mikhail Zabaluev <mookid@sigent.ru>
- USE_STAT_CACHE

* Mon Apr 17 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-10mdk
- Use the contribs mm instead of bundling it into apache (we'll move mm to
  the main distro, otherwise it'll conflict)
- EAPI 2.6.3 (bugfixes)
- Replaced the vhost sample lines by sample files for DynamicVhosts and
  VirtualHomePages
- Added the new SGI 12-1 and 12-2 patches (bugfixes)
- Split mod_include_xssi.c from mod_include.c (conflict)
- put documentation in /usr/doc where it belongs and made a symlink
  in /home/httpd/html/manual
- added russian descriptions from Mikhail Zabaluev <mookid@sigent.ru>
- changed logrotate so it sends SIGUSR1 because httpdloses buffered log
  entries when restarted by a SIGHUP.

* Fri Apr 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-9mdk
- append .c to AddModule mod_vhost_alias
- suggestions from Eric Snyder <Eric@Credible.net>:
- add #VirtualDocumentRoot sample line
- add #VirtualScriptAlias sample line
- add #NameVirtualHost sample line
- put LMDK200Rw.gif logo

* Wed Apr  5 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-8mdk
- cleaned spec

* Mon Apr  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-7mdk
- EAPI 2.6.2 (no changes, just want to keep current with Ralph EngelSchall)
- Changed Pentium optimizations to Processor-specific optimizations on web
  page
- Changed layout of webpage so the package is labeled as Mandrake and people
  see it as Apache+addons instead of a non-standard Apache.
- Tested all combinations of patches for mod_perl and mod_ssl, mod_perl was
  the culprit.

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.12-6mdk
- don't compile QSC on arch other than Intel.

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-5mdk
- updated EAPI to 2.6.1

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-3mdk
- fixed link for addon modules

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-3mdk
- removed the patch for mod_log_config.c, was causing a segfault under
  certain conditions with the CustomLog of mod_ssl

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-2mdk
- hacked the SGI patches to they work with the EAPI. There is only one
  .rej file that I don't know how to handle yet (buff.c). Maybe we will
  not get every full bit of the 10x performance increase, but we should
  get almost all of it, and Apache will still work with mod_ssl.
- Changed signature for Apache-AdvancedExtranetServer

* Sat Feb 26 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-1mdk
- updated to 1.3.12
- updated to EAPI 2.6.0

* Sun Jan 23 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.3.11
- updated to EAPI 2.5.0

* Tue Jan 18 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to EAPI 2.4.10
- Put the nice Advanced Extranet and SGI optimized logos.

* Wed Jan  5 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- moved suexec to another package so it doesn't get installed by default
- added index.php3 as valid index.

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7.0
- fixed httpd.pid

* Sat Dec 12 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm 1.0.12 and EAPI 2.4.9 
- modified index.shtml to link to www.advancedextranet.com

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- strip (plz)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Mon Oct  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- build for cooker.


* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- re-build for EAPI 2.4.2 and mm 1.0.11

* Sun Sep 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added tables in index.s html and removed the part about the docs in
  /extranet, because they're not completed yet.

* Fri Sep 03 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- fixed package description

* Fri Sep 03 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated EAPI to 2.4.1
- updated mm to 1.0.10
- added "Listen 80" in httpd.conf

* Wed Aug 18 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated EAPI to 2.4.0

* Mon Aug 16 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.3.9

* Sun Aug 15 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Solaris fixes again

* Sat Aug 14 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- changed install for cp -aR so ldconfig does not complain on shared mem
  libs

* Fri Aug 13 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.3.8
- cleaned the SPEC file

* Tue Aug 10 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- got new patches from rse@engelschall.com
- fixed some bugs in Solaris RPM
- re-added apachectl, don't know why RH removed it...

* Tue Aug 3 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- re-made the SPEC to port to Solaris rpm
- re-designed the web page to be able to include platform and to
  separate Apache from all the addon packages
- got new patches from rse@engelschall.com

* Sun Aug 1 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- created modules and vhosts directory to clean up a bit

* Sat Jul 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated EAPI from mod_ssl 2.3.10
- complete re-write of index.html
- created *LOTS* of new modules for this version
- removed mod_auth bandwidth
- added Hotwired mod_include
- created /protected-cgi-bin to fix security concerns with a cgi in the
  Squid package that was accessible to anyone

* Wed Jul 21 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm-1.0.9
- updated EAPI from Jul 15 version of rse@engelschall.com
- cosmetic changes on html manual structure, updated links for
  crypto stuff now that it's on Mandrake site
- removed mod_auth_radius and mod_put, will be in separate packages.
- cleaned sources to have less files

* Sun Jun 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm-1.0.6
- removed php3 from main apache package, will be in a separate rpm

* Sat Jun 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm-1.0.5
- added mod_define and addon patch from <rse@engelschall.com>
- added FrontPage 2000 patch
- added fr locale
- added mod_auth_radius
- added mod_put (Netscape Publish)
- changed index.html to add more documentation, links and icons
- re-made httpd.conf, erased srm.conf and access.conf

* Sat May 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Updated to mm-1.0.4
- Updated EAPI from mod_ssl-2.3.1-1.3.6 <rse@engelschall.com>

* Tue May 25 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Hacked apxs so the package finally compiles in one shot
- Tweaked config files to add a bit more performance
- Added shared_time in scoreboard

* Mon May 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Should correctly deside if it should restart apache

* Sun May 23 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to php3.0.8

* Sat May 22 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added support for RPM_OPT_CFLAGS

* Thu May 20 1999 Jean-Michel Dault <jmdault@netrevolution.com>

- added index.htm and Default.htm in srm.conf
- removed msql support (no rpm, no binary, commercial license)
- added mm-1.0.3 from rse@engelschall.com
- added EAPI from rse@engelschall.com
- added suexec code 

* Tue May 18 1999 Gal Duval <gael@linux-mandrake.com>

- removed sed stuff (there is no sed at install time)
- added a correct srm.conf

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix dependences.

* Wed May 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fixing typo.
- Compressing man-pages.

* Mon May 03 1999 Gal Duval <gael@linux-mandrake.com>
- merged apache and php3, added post and postun config scripts
- moved all archives from tar.gz to tar.bz2
- Mandrake apdaption
- php3 doc linked from the local index.html

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- allow indexes in /doc

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- prerequire /bin/rm, added /doc path pointing to /usr/doc for localhost

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- updated log rotating scripts to not complain if logs aren't present.

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- fixed up path to perl

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- updated init script to conform to new standards
- upgraded to 1.3.6, fixed apxs patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- clean up logfiles on deinstallation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- added mod_bandwidth
- updated to 1.3.4
- prereq mailcap

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- added patch to disable building support for ndbm
- build against glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.3 to catch up with bug fixes
- added the /usr/bin/* binaries to the spec file list

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- change ownership of cache dir to nobody
- added "Red Hat" to the server string
- updated to version 1.3.2
- fixed all references to httpsd in config files

* Fri Sep 04 1998 Cristian Gafton <gafton@redhat.com>
- small fixes to the spec file
- patch to handle correctly the -d <newroot> option
- leave out the .usr.src.apache_%{version} for now

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- patched apxs not to bomb out if it can't find httpd

* Wed Sep 02 1998 Preston Brown <pbrown@redhat.com>
- upgraded to apache 1.3.1.
- Heavy rewrite.
- changed providing a_web_server to just webserver.  Humor is not an option.

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- updated to build as non-root user
- added patch to defeat header dos attack

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the default config files to be more paranoid about security

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed init script
- added index.htm to the list of acceptable indexes

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.6
- added post script to install htm extension for text/html into
  /etc/mime.types

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced sysv init script

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>
- updated to 1.2.5, which includes many security fixes

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.
